<?php

header('Content-Type: application/json');
require_once(dirname(__FILE__) . '/../../../includes/common.inc.php');

pre_init();
init_session();

grab_request_vars();
check_prereqs();
check_authentication(false, false, false, true);

$requestType = $_SERVER['REQUEST_METHOD'];
header('Content-Type: application/json');

switch ($requestType) {
    case 'GET': {
        $response = user_get_own_sessions();

        if ($response === false) {
            $response = ['error' => _('Failed to retrieve sessions.')];
        }
    } break;
    case 'DELETE': {
        $session_id = intval(grab_request_var('session_id', 0));
        $user_id = $_SESSION['user_id'];

        if (empty($session_id)) {
            $response = ['error' => _('Not a valid user session.')];
            break;
        }

        $deleted_id = user_logout_session($user_id, $session_id);

        if (!$deleted_id) {
            $response = ['error' => _('Failed to remove session.')];
            break;
        }

        $response = ['success' => true, 'id' => $deleted_id];
    } break;
    default: {
        $response = ['error' => _('Invalid request method')];
    } break;
}

$response = json_encode($response);
echo $response;