<?php

/*
 * ==================================
 *             WARNING
 * ==================================
 * Remember that any JavaScript code
 * can be modified by the user, so 
 * you should only use this API to
 * check permissions that are not
 * critical to security.
 * 
 * i.e. the config page checks if the
 * user has access to the CCM, but
 * the CCM itself checks if the user
 * has access to the CCM when they 
 * try to access it.
 */

header('Content-Type: application/json');
require_once(dirname(__FILE__) . '/../../includes/common.inc.php');

pre_init();
init_session();

grab_request_vars();
check_prereqs();
check_authentication(false, false, false, true);

$requestType = $_SERVER['REQUEST_METHOD'];
header('Content-Type: application/json');

switch ($requestType) {
    case 'GET':
        switch(grab_request_var("command", "")) {
            case "can_configure_objects":
                if(is_authorized_to_configure_objects() && !is_readonly_user()) {
                    $response = true;
                } else {
                    $response = false;
                }
                break;
            case "can_access_ccm":
                if(user_can_access_ccm()) {
                    $response = true;
                } else {
                    $response = false;
                }
                break;
            case "can_auto_deploy":
                if(user_has_permission('autodeploy_access')) {
                    $response = true;
                } else {
                    $response = false;
                }
            default:
                $response = ['error' => 'Invalid request method'];
                break;
        }
        break;
    default:
        $response = ['error' => 'Invalid request method'];
        break;
}

$response = json_encode($response);
echo $response;