<?php

header('Content-Type: application/json');
require_once(dirname(__FILE__) . '/../../includes/common.inc.php');
require_once(dirname(__FILE__) . '/../../includes/utils-users.inc.php');

pre_init();
init_session(true);

grab_request_vars();
check_prereqs();
check_authentication(false, false, false, true);

$requestType = $_SERVER['REQUEST_METHOD'];

$response = [];

switch ($requestType) {
    case 'GET':
        // Handle GET request - Fetch users
        $response = get_users();
        foreach ($response as $key => $user) {
            if (is_array($user) && isset($user['user_id'])) {
                $user_id = $user['user_id'];
                $phone = get_user_meta($user_id, "mobile_number");
                $auth_type = get_user_meta($user_id, "auth_type");
                $auth_level = get_user_meta($user_id, "userlevel");

                $response[$key]['mobile_number'] = $phone;
                $response[$key]['auth_type'] = $auth_type;
                $response[$key]['userlevel'] = $auth_level;
            }
        }
        break;
    case 'POST':
        $inputData = json_decode(file_get_contents('php://input'), true);

        $username = grab_array_var($inputData, 'username', '');
        $password = grab_array_var($inputData, 'password', '');
        $email = grab_array_var($inputData, 'email', '');

        $errors = [];

        $response = add_user_account($username, $password, "name", $email, "1", true, true, true, $errors);

        if ($response) {
            $response = ['message' => 'User created successfully'];
        } else {
            $response = ['error' => $errors];
        }
        break;
        case 'DELETE':
            // Decode JSON body from the request
            $inputData = json_decode(file_get_contents('php://input'), true);
        
            // Extract userid from the decoded data
            $userid = grab_array_var($inputData, 'userid', null);
        
            // we probably never want to delete nagiosadmin either? i guess???
            if ($userid) {
                // Call the delete_user_id function with the extracted userid
                $response = delete_user_id($userid);
        
                if ($response) {
                    $response = ['message' => 'User deleted successfully'];
                } else {
                    $response = ['error' => 'Failed to delete user'];
                }
            } else {
                $response = ['error' => 'No user ID provided'];
            }
            break;
        
    default:
        $response = ['error' => 'Invalid request method'];
}

$json_response = json_encode($response);
echo $json_response;
